Bug 1461131 - [RFE] gid is not found for volumes created using heketi < v5
Summary: [RFE] gid is not found for volumes created using heketi < v5
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Raghavendra Talur
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: OCS-3.11.1-devel-triage-done
TreeView+ depends on / blocked
 
Reported: 2017-06-13 14:54 UTC by Raghavendra Talur
Modified: 2019-06-18 12:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Volumes that were created using CNS 3.5 or previous don't have the GID stored in heketi database. Hence, when a volume expansion is performed, new bricks don't get the group id set on them which might lead to I/O errors. To fix this please refer to the knowledge base article at:...
Clone Of:
Environment:
Last Closed: 2019-06-18 12:30:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Raghavendra Talur 2017-06-13 14:54:21 UTC
Description of problem:
If a volume was created using heketi 3.* version and then a volume expansion is performed then the new bricks won't acquire the gid of the volume.

Comment 2 Humble Chirammal 2017-06-15 05:34:14 UTC
Ragavendra, Do you plan to land the patch for gid collection in heketi via this bugzilla ? if yes, are we targetting it for CNS 3.6 ?

Comment 3 Humble Chirammal 2017-08-02 14:13:10 UTC
This is an RFE, so I am moving out of this release.

Comment 4 Prasanth 2017-10-04 17:06:44 UTC
Bhavana, this BZ should be documented as a known issue for CNS 3.6 release and so please do the needful.

Comment 5 Humble Chirammal 2018-01-18 11:38:12 UTC
I am closing this bug as this feature is available in current release and also in previous releases since heketi v4 . We dont have any plan to backport this to very old releases of heketi.


Note You need to log in before you can comment on or make changes to this bug.